Subject: Re: What dll is necessary to use system()-function
From: "A.R. Burgers" <[email-masked]>
To: [email-masked]
Date: Mon, 04 Jan 2010 22:11:10 +0100
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Michael Schmid schreef:

from http://linux.die.net/man/3/system:

system() executes a command specified in command by calling */bin/sh* -c command,

you'll have to make sure /bin/sh will work, that is what I found.

Teun

> Hi!
> 
> Started to use cygwin, it's great. Now I have a working prog and want it run
> on another computer.
> 
> So I moved the exe, and all necessary dlls... But there seem to be one
> missing, because the system()-function (http://linux.die.net/man/3/system)
> doesn't work... E.g. system(cp ./file1 ./file2).
> 
> Does anybody know which dll I need? Or may the problem be another one?
> 
> Is there any way to quickly find out which dll i need for a specific
> function to run? Simple example: I included stdio.h and used printf and want
> to know which dll I need now (this case is easy, but just if I wouldn't
> know...)
> 
> Thanks!
> Michael

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple